summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-vim/tcomment
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-vim/tcomment')
-rw-r--r--app-vim/tcomment/Manifest2
-rw-r--r--app-vim/tcomment/metadata.xml8
-rw-r--r--app-vim/tcomment/tcomment-3.04.ebuild22
-rw-r--r--app-vim/tcomment/tcomment-3.06.ebuild22
4 files changed, 54 insertions, 0 deletions
diff --git a/app-vim/tcomment/Manifest b/app-vim/tcomment/Manifest
new file mode 100644
index 00000000000..50f45ed3ea6
--- /dev/null
+++ b/app-vim/tcomment/Manifest
@@ -0,0 +1,2 @@
+DIST tcomment-3.04.tar.gz 36010 SHA256 5bf571b2753fae513c4adc0726274b2094ae5fb0071a9cb634cf0309685a2cbb SHA512 b9fc84ea606b97ae5679ae1b695c9c06cf533d945391fd8ffe55411784334285be5c9d01e672679890b5fe7e1ac7dcb0140389e36c9e9d70b26b394ceae1b371 WHIRLPOOL 7193b298642392554ada0e3004df530b0ada23fb3e72c1d3b2d4cbff34198204c27b7b20777a829701d25d623306d7638da3743468d91959b2361c4f2066ba4e
+DIST tcomment-3.06.tar.gz 37691 SHA256 5a12cb8da962758f6635d328cde0421f4e34e4cffa99503f259f7939127ae690 SHA512 f26310d69e9a81f85e0270ca6a85b86c9ad841fbff98a0ea06134209d82f7f33298a7d7e07e641c5fde1c01a59a52fdfd8f5d649665d73f07a4ed42b1b41ca92 WHIRLPOOL 3531681fefe140911e7cb1683ba8b1969f328cd8658bfda57a659a66ded56dba05910daa4c097e9d10d6b101adcc9757858e69ea3d14eca48c3818ba31b575dc
diff --git a/app-vim/tcomment/metadata.xml b/app-vim/tcomment/metadata.xml
new file mode 100644
index 00000000000..14dde904804
--- /dev/null
+++ b/app-vim/tcomment/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>vim</herd>
+ <upstream>
+ <remote-id type="github">tomtom/tcomment_vim</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-vim/tcomment/tcomment-3.04.ebuild b/app-vim/tcomment/tcomment-3.04.ebuild
new file mode 100644
index 00000000000..1321bbc6388
--- /dev/null
+++ b/app-vim/tcomment/tcomment-3.04.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit vim-plugin
+
+MY_PN="tcomment_vim"
+DESCRIPTION="vim plugin: an extensible and universal comment toggler"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=1173 https://github.com/tomtom/tcomment_vim"
+SRC_URI="https://github.com/tomtom/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~x86"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+S=${WORKDIR}/${MY_PN}-${PV}
+
+src_prepare() {
+ rm -r README spec addon* || die
+}
diff --git a/app-vim/tcomment/tcomment-3.06.ebuild b/app-vim/tcomment/tcomment-3.06.ebuild
new file mode 100644
index 00000000000..4b2666e3e2b
--- /dev/null
+++ b/app-vim/tcomment/tcomment-3.06.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit vim-plugin
+
+MY_PN="tcomment_vim"
+DESCRIPTION="vim plugin: an extensible and universal comment toggler"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=1173 https://github.com/tomtom/tcomment_vim"
+SRC_URI="https://github.com/tomtom/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~x86"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+S=${WORKDIR}/${MY_PN}-${PV}
+
+src_prepare() {
+ rm -r README spec addon* || die
+}